+ Post New Thread
Page 1 of 533 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 13314

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 39,064
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 49,977
    18th Sep 2006 10:46 pm Go to last post
  1. dmentional rebar

    hi im trying to make a rebar with a dimenson. first i create the polyline , and right after this i want to create a dim line. i've tryied to use the "objet" mode but it wont work. (defun...

    Started by samifox‎, 1st Sep 2015 09:10 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 263
    Yesterday 10:55 pm Go to last post
  2. Carriage return in lisp-created MText

    Hello, I have the following lisp which displays the coordinates of a selected point with a leader: (defun c:xy () (setq pt (getpoint " Pick Point: ")) (setq x (rtos (car pt))) ...

    Started by robertbon‎, 12th Dec 2013 05:27 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 1,854
    Yesterday 06:29 pm Go to last post
  3. Question Dline, Break, Fillet, ............................ Break, Fillet,

    Hi Friends, :) Help me, Please... :roll: long time ; It is taking a long time to one by one. Dline, Break, Fillet, ............................ Break :(

    Started by hkncdrc‎, 3rd Sep 2015 03:39 pm
    • Replies: 7
    • Views: 192
    Yesterday 11:12 am Go to last post
  4. Strike Through Text, Mtext, Leaders, Multileaders, Dimensions

    Due to some of our drafting guidelines, we need to strike through Text, Mtext, Leaders, Multileaders, Dimensions. The only issue is the strike through needs to be on a different layer.Therefore we...

    Started by Bill_Myron‎, 1st Sep 2015 06:17 pm
    • Replies: 4
    • Views: 224
    Yesterday 08:32 am Go to last post
  5. Question Deleting selected texts on the list - Help

    I have a dcl and a lisp that list all text and mtext in a drawing and I want to delete selected texts on the list by Delete button on DCL but I need to resolve(if possible): 1) My first goal to...

    Started by pavilon‎, 25th Aug 2015 10:22 am
    • Replies: 7
    • Views: 389
    Yesterday 06:22 am Go to last post
  6. Merge two polylines

    Hello guys, I don't know why but i got stacked with my lisp! I've to create a polyline from a list of points and I really can't understand how to do that. I just searched everywhere but something...

    Started by MastroLube‎, 3rd Sep 2015 03:20 pm
    • Replies: 5
    • Views: 150
    Yesterday 04:36 am Go to last post
  7. dcl start up

    Hi everyone, I have problem in getting one dcl versions started in my drawing. The AfraLISP version starts very well when lsp function is run. However Terrycad version given below does not work well...

    Started by aloy‎, Yesterday 12:43 am
    • Replies: 0
    • Views: 94
    Yesterday 12:43 am Go to last post
  8. Lisp routine to add surface spot elevation points

    I was wondering if there was any way to add spot elevation points at only the PI's and Elevation Points in the surface (ie only the points that were actually graded using feature lines). The reason I...

    Started by broncos15‎, 3rd Sep 2015 05:49 pm
    • Replies: 1
    • Views: 101
    3rd Sep 2015 08:13 pm Go to last post
  9. Rebar Data

    I created this spread sheet with a userform that displays Rebar dimensions. (Once you click "enable content" the workbook will disappear and the userform will show. To get back to excel, click...

    Started by jonathann3891‎, 3rd Sep 2015 06:07 pm
    • Replies: 1
    • Views: 102
    3rd Sep 2015 06:21 pm Go to last post
  10. variable value in getdist function

    Hi, I am trying something very simple, but I am out of ideas already (setq interval 5) (setq dist (getdist "\nEnter Interval <here I would like to have the interval value>:")) Chavdar

    Started by 4o4osan‎, 1st Feb 2015 11:23 pm
    • Replies: 6
    • Views: 437
    3rd Sep 2015 06:15 pm Go to last post
  11. Annotation Attribiute block . Plaese help

    Hi . I am trying to convert my blocks to annotative , but i have serious problem with the scales. I use this pointsin.lsp to insert topographic data (points ftom txt file) to autocad. Before i run...

    Started by prodromosm‎, 3rd Sep 2015 11:01 am
    • Replies: 1
    • Views: 114
    3rd Sep 2015 04:08 pm Go to last post
  12. Nest Blocks and Entity color loop

    Hi folks. Have been trying to make s lisp code for a simple task but turned out that it might not be so easy. I found lots of information but not this one. So i'm asking if this is even possible...

    Started by Apache2k‎, 1st Sep 2015 08:03 am
    • Replies: 8
    • Views: 236
    3rd Sep 2015 03:18 pm Go to last post
  13. Delete all annotation scales but current

    Hello, I'd googled the name of this thread and found something (I don't know if it is correct to post link here) but it not works (or I didn't manage do run it) and want to ask - is it posible or is...

    Started by sevdo2000‎, 6th Jul 2012 06:19 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 10,179
    3rd Sep 2015 01:14 pm Go to last post
  14. Sorting Lists within Lists of points, with fuzz

    I have a list that essentially consists of lists of points. I need to compare the lists of points (with fuzz that can be 2’, but fractions of an inch are all they vary by) and record all the ones...

    Started by Quest for Peace‎, 1st Sep 2015 06:28 am
    • Replies: 9
    • Views: 285
    3rd Sep 2015 09:45 am Go to last post
  15. Lisp to change the color of all incl blocks

    Hi there i found this vba code an it works perfekt when i can use the vba. but in the office there is vba restricted and so i would like to use this in a lisp: Sub EsWerdeDunkel() Dim Entity...

    Started by raffich‎, 26th Aug 2015 08:24 pm
    • Replies: 6
    • Views: 338
    3rd Sep 2015 06:10 am Go to last post
  16. Help - Select duplicate entities

    Hi I need help from masters of LISP to a routine. When I use the "overkill" command in Autocad, duplicate entities are deleted. Now, i want to a similar routine, which detects duplicate entities,...

    Started by teknomatika‎, 2nd Sep 2011 11:45 am
    7 Pages
    1 2 3 ... 7
    • Replies: 66
    • Views: 12,333
    3rd Sep 2015 03:37 am Go to last post
  17. dialog box that changes custom prop

    Hello, I am having a problem/difficulty with the autolisp that I made for my dcl. I know very little about autolisp and I don’t know how the make what I want work through autolisp and could use...

    Started by dcokken‎, 31st Aug 2015 11:48 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 534
    2nd Sep 2015 08:46 pm Go to last post
  18. How to get block attribute data to a attributed block with mulitple fields

    Hello, I have 2 blocks. 1 is a block with 7 attributes and the other one is a block with just one attribute which contains a field with 6 object/fields linked to a attribute from the other block....

    Started by pmxcad‎, 2nd Sep 2015 08:13 pm
    • Replies: 0
    • Views: 103
    2nd Sep 2015 08:13 pm Go to last post
  19. Question Need help to use Arraypath in lisp

    Try to accomplish a simple task by lisp: 1. Draw a line from A to B 2. Draw a small circle at A 3. Use command Arraypath 4. Select the circle 5. Select the line as curve 6. Method -> Divide...

    Started by xyao99‎, 2nd Sep 2015 05:34 am
    • Replies: 9
    • Views: 202
    2nd Sep 2015 04:49 pm Go to last post
  20. Is any way to get view name ?

    Hello Is any way to get view name in current drawing ? top ,bottom,left,reght ,front , etc. This code is change the object form left view to top view. I want auto judge the current view...

    Started by andy_lee‎, 1st Sep 2015 04:46 pm
    • Replies: 7
    • Views: 227
    2nd Sep 2015 11:52 am Go to last post
  21. Update data in tables from multiple drawings

    Good Morning, I have a drawing that contains tables with data describing properties of the pieces(PCMARK, QTY, L, W, WEIGHT). At the beginning we release this tables to be used for estimating...

    Started by tazzzz‎, 1st Sep 2015 02:19 pm
    • Replies: 0
    • Views: 132
    1st Sep 2015 02:19 pm Go to last post
  22. Insert Table through Lisp

    Hi All, I'm currently in the process of setting up some customisations for my AutoCAD profile. At present I have set up an Excel sheet which makes titleblock alterations through a Lee Mac lisp...

    Started by Argo‎, 1st Sep 2015 04:43 am
    • Replies: 2
    • Views: 177
    1st Sep 2015 10:57 am Go to last post
  23. Help with Polyline Lisp (Export All Lengths to Table)

    Hello, I am searching for a lisp that can export the lengths of all selected polylines and export them to either Excel or an AutoCad table. I have found and tested around 20 lisps but so far...

    Started by gordon_Gjs‎, 28th Aug 2015 04:46 pm
    2 Pages
    1 2
    export, lengths, lisp, polyline, table
    • Replies: 14
    • Views: 654
    1st Sep 2015 04:12 am Go to last post
  24. Lisp for fillet radius.

    I currently have a lisp routine that will put the radius of fillet at what the user inputs for the command. For example f0 is: (defun c:f0 () (RoutineLog "F0") (setvar "FilletRad" 0) ...

    Started by broncos15‎, 27th Aug 2015 12:28 am
    • Replies: 6
    • Views: 411
    31st Aug 2015 04:52 pm Go to last post
  25. Licencing Autolisp/DCL products

    Hi everyone, I have developed few products over the years starting from version 2 in AutoLISP that I have used for the design of Roads, Sewerage and Drainage in civil engineering. I would like to...

    Started by aloy‎, 28th Aug 2015 02:30 pm
    • Replies: 5
    • Views: 345
    31st Aug 2015 12:16 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts